.. _cmd_lib_show:

platformio lib show
===================

.. contents::

Usage
-----

.. code-block:: bash

    platformio lib show ID


Description
-----------

Show details about the installed library


Examples
--------

.. code-block:: bash

    # OneWire: http://platformio.org/#!/lib/show/1/OneWire
    $ platformio lib show 1
    # OneWire
    # -------
    # Authors: Paul Stoffregen <paul@pjrc.com> http://www.pjrc.com/teensy/td_libs_OneWire.html (maintainer), Jim Studt, Jason Dangel <dangel.jason@gmail.com>, Derek Yerger, Tom Pollard <pollard@alum.mit.edu>, Robin James
    # Keywords: onewire, 1-wire, bus, sensor, temperature, ibutton
    # Frameworks: arduino
    # Platforms: atmelavr
    # Version: 2.2
    #
    # Control devices (from Dallas Semiconductor) that use the One Wire protocol (DS18S20, DS18B20, DS2408 and etc)
